taffybar-4.0.1: A desktop bar similar to xmobar, but with more GUI

Safe Haskell | Safe-Inferred
Language | Haskell2010

System.Taffybar.Widget.Text.MemoryMonitor

Synopsis

- textMemoryMonitorNew :: MonadIO m => String -> Double -> m Widget
- showMemoryInfo :: String -> Int -> MemoryInfo -> Text

# Documentation

textMemoryMonitorNew Source #

Arguments

:: MonadIO m |
=> String | Format. You can use variables: "used", "total", "free", "buffer", "cache", "rest", "available", "swapUsed", "swapTotal", "swapFree".
-> Double | Polling period in seconds.
-> m Widget |

Creates a simple textual memory monitor. It updates once every polling period (in seconds).

showMemoryInfo :: String -> Int -> MemoryInfo -> Text Source #